Summary:	Plasma 5 SSH-askpass
Name:		ksshaskpass
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
Requires:	openssh-clients
Requires(post,postun):	update-alternatives

%description
Ksshaskpass is a front-end for ssh-add which stores the password of the sh key
in KWallet.

Ksshaskpass is not meant to be executed directly, you need to tell ssh-add
about it. ssh-add will then call it if it is not associated to a terminal.

%files -f %{name}.lang
%{_kde5_bindir}/ksshaskpass
%{_kde5_mandir}/man1/ksshaskpass.1*

%post
update-alternatives --install %{_libdir}/ssh/ssh-askpass ssh-askpass %{_kde5_bindir}/ksshaskpass 60
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kde5_bindir}/ksshaskpass 60

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kde5_bindir}/ksshaskpass
update-alternatives --remove bssh-askpass %{_kde5_bindir}/ksshaskpass

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (ffe6b79) New version 5.12.5

* Sat Apr 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (3d29ada) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (2ed0fa0) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (e986139) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (46dee2f) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (33bf494) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (f74b685) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (541a30e) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (498d8eb) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (185be13) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (a649f13) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (a6cc77c) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (2fb4b49) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (ef50d13) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (e06f7c9) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (60494fc) Drop desktop file as upstream did
- (60494fc) Adjust style for KF5 BuildRequires
- (valerol: fdee1cb) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (a316dfe) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (0c229c0) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (c5bf973) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (da43d0e) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (4fc7fb5) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (90b4e9e) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (3a9b408) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (6db815c) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (1666317) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (35cbb26) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (5eb01b4) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (f14eae0) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (4e5f1e3) New version 5.4.0


